#ifndef Strukturen_H
#define Strukturen_H

#include <Klient.h>
#include <Array.h>
#include <Text.h>

using namespace Framework;

struct SpielerTeamStruktur
{
	// Konstruktor
	SpielerTeamStruktur();
	// Destruktor
	~SpielerTeamStruktur();
	// variablen
	int spielerAnzahl;
	int teamAnzahl;
	Array< int > *spielerFarbe;
	Array< int > *teamFarbe;
	RCArray< Text > *teamName;
	Array< int > *teamGröße;
	int ref;
	// Reference Counting
	SpielerTeamStruktur *getThis();
	SpielerTeamStruktur *release();
};

#endif